Summary:	Converting Mbox mailboxes to Maildir format
Summary(pl.UTF-8):	Konwerter skrzynek Mbox do formatu Maildir
Name:		mb2md
Version:	3.20
Release:	4
License:	GPL
Group:		Applications/Text
Source0:	http://batleth.sapienti-sat.org/projects/mb2md/%{name}-%{version}.pl.gz
# Source0-md5:	b47eaa6ae4231a42f4a15564a08eb439
Source1:	https://ftp.debian.org:/debian/pool/main/m/mb2md/%{name}_%{version}-9.debian.tar.xz
# Source1-md5:	95187fd0db625876732bbe2b9a57533e
URL:		http://batleth.sapienti-sat.org/projects/mb2md/
BuildRequires:	perl-devel >= 1:5.6.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Perl script that takes one or more Mbox format mailbox files in a
directory and convert them to Maildir format mailboxes. As the Mbox
format has some drawbacks, D. J. Bernstein created the Maildir format
when he wrote Qmail. With the Mbox format all mail of a specific
folder is stored as one large text file. The Maildir format stores
each mail as a seperate file. It is a faster and more efficient way to
store mail. It works particularly well over NFS, which has a long
history of locking-related woes. The Mbox format is used by some of
the POP3/IMAP servers, most mail servers (MTAs) and mail readers
(MUAs). The Maildir format is used by Qmail, Courier-MTA and can be
also used as a alternative mail storage format by Postfix and Exim. A
good POP3/IMAP server for Maildirs is Courier IMAP.

%description -l pl.UTF-8
mb2md to skrypt Perla, który bierze jeden lub więcej plików skrzynek w
formacie Mbox z katalogu i konwertuje je do formatu Maildir. Ponieważ
format Mbox ma pewne wady, D. J. Bernstein przy pisaniu Qmaila
stworzył format Maildir. W formacie Mbox wszystkie wiadomości w danym
folderze są zapisywane w jednym dużym pliku tekstowym. W formacie
Maildir każda wiadomość jest zapisywana jako oddzielny plik. Maildir
jest szybszym i bardziej wydajnym sposobem zapisywania poczty. Działa
szczególnie dobrze po NFS, mającym długą historię problemów związanych
z blokowaniem plików. Format Mbox jest używany przez część serwerów
POP3/IMAP, większość serwerów pocztowych (MTA) oraz czytników poczty
(MUA). Format Maildir jest używany przez Qmaila, Courier-MTA i może
być używany jako alternatywny format także przez Postfiksa i Exima.
Dobrym serwerem POP3/IMAP dla skrzynek Maildir jest Courier IMAP.

%prep
%setup -q -c -T -a1

%build
cp %{SOURCE0} .
gzip -d -c %{SOURCE0} > %{name}-%{version}.pl

for p in `cat debian/patches/series`; do
	patch -p1 < debian/patches/$p || exit 1
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

cp -a %{name}-%{version}.pl $RPM_BUILD_ROOT%{_bindir}/mb2md.pl

# let rpm find deps
chmod 755 $RPM_BUILD_ROOT%{_bindir}/mb2md.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mb2md.pl
%changelog
* Mon Dec 13 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mb2md.git;a=log;h=master

* Mon Dec 13 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> faa4d78
- Rel 4; apply debian fixes

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 58ef8f6
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 53ac003
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> dbd6aeb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 11514ad
- converted to UTF-8

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> f312bbb
- orphaned, outdated

* Thu Dec 02 2004 Jakub Bogusz <qboosh@pld-linux.org> ab6975c
- chmod 755 to generate perl deps; release 2

* Sun Jun 13 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 2bfb86b
- update to 3.20

* Sun May 09 2004 ankry <ankry@pld-linux.org> 4381d3f
- BR fixes, rel. 2

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 045061a
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 3426869
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 831e533
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4c7e55d
- massive attack s/pld.org.pl/pld-linux.org/

* Thu Mar 27 2003 Jakub Bogusz <qboosh@pld-linux.org> b573f24
- pl description (with one change, in original too: s/most/some/, because
  I know only one Mbox-based IMAP server)
- replaced unnecessary %%setup with empty %%prep (for builder)

* Wed Mar 19 2003 areq <areq@pld-linux.org> 1826669
- 14714b1927e4aeff2807a5dde45aebe7  mb2md-3.10.pl

* Wed Mar 19 2003 areq <areq@pld-linux.org> adc2d91
- init PLD spec

